Foreman - Feature #1044

erbish partition tables
07/14/2011 03:21 AM - Markus Falb

Status:
Priority:
Assignee:
Category:

Target version:

Closed

Normal

Ohad Levy

Unattended installations
0.4

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Partition tables are included literally but not processed by erb. Please make Partition tables erbish, the following should work.

part /boot --size=256

part pv.2 —--size=0

-—grow

volgroup vg_<%= @host.name -%> pv.2

logvol / ——name=wurzel —--vgname=vg_<%= @host.name —-%> —--size=3192

logvol /var —-—name=_var --vgname=vg_<%= @host.name -%> --size=1024 —-

grow —-maxsize=2048

logvol swap —-—fstype swap ——name=swap —-vgname=vg_

size=2048

<%= (@host.name -%> —-—

Associated revisions

Revision 9cd25bde - 07/14/2011 04:19 AM - Ohad Levy

fixes #1044 - Adds ERB templates to disk layouts

History

#1 - 07/14/2011 04:20 AM -

- Status changed from New

Ohad Levy
to Closed

- % Done changed from 0 to 100

Applied in changeset 9cd25bde4bf87da9f604bdce739172697f83f68f.

#2 - 07/14/2011 04:21 AM -

- Target version set to 0.4

#3 - 07/16/2011 09:37 AM -
- File ptables-rpm.txt added

#4 - 07/16/2011 09:38 AM -
- File ptables-git.txt added

#5 - 07/16/2011 09:45 AM -

Not working for me as soon

Ohad Levy

Markus Falb

Markus Falb

Markus Falb

as | put some erb stuff in.

With a install per rpm and applied patch | get an error, please see attached file ptables-rpm.txt
| also tried an install per git and | get another error, please see attached file ptables-git.txt

#6 - 07/24/2011 03:12 AM -

Ohad Levy

- Tracker changed from Bug to Feature
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9cd25bde4bf87da9f604bdce739172697f83f68f
https://projects.theforeman.org/attachments/261
https://projects.theforeman.org/attachments/262

ptables-rpm.txt 2.57 KB 07/16/2011 Markus Falb
ptables-git.txt 2.83 KB 07/16/2011 Markus Falb
